package com.yutou.nas.mybatis.dao;

import com.yutou.nas.mybatis.model.VideoData;
import com.yutou.nas.mybatis.model.VideoDataExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface VideoDataDao {
    long countByExample(VideoDataExample example);

    int deleteByExample(VideoDataExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(VideoData record);

    int insertSelective(VideoData record);

    List<VideoData> selectByExample(VideoDataExample example);

    VideoData selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") VideoData record, @Param("example") VideoDataExample example);

    int updateByExample(@Param("record") VideoData record, @Param("example") VideoDataExample example);

    int updateByPrimaryKeySelective(VideoData record);

    int updateByPrimaryKey(VideoData record);
}